/****************************************************************************************************

		MCCoreResources.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	charles
		Date:	4/19/2005

****************************************************************************************************/

#ifndef __MCCoreResources__
#define __MCCoreResources__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCCompiler.h"
#include "MCString.h"
#include "MCClassArray.h"

class TMCResourceStream;

struct MenuItemResource : public TMCObject
{
	TMCString255	fItemText;
	int8			fIconID;
	int8			fCmdKey;
	int8			fMarkChar;
	int8			fStyleBits;
	int32			fActionNumber;
	
	boolean			fChecked;
	boolean			fEnabled;
};

struct CMNUResource : public TMCObject
{
	int16			fMenuID;
	int16			fMenuWidth;
	int16			fMenuHeight;
	int16			fMenuDefProc;
	int16			fFiller;
	int32			fEnableFlags;
	TMCString255	fMenuTitle;

	TMCClassArray<MenuItemResource>		fMenuItems;
};

TMCResourceStream& operator >> (TMCResourceStream& stream, CMNUResource& menu);
TMCResourceStream& operator << (TMCResourceStream& stream, const CMNUResource& menu);


struct StringResource : public TMCObject
{
	TMCClassArray<TMCString255>	fStrings;
};

TMCResourceStream& operator >> (TMCResourceStream& stream, StringResource& stringResource);
TMCResourceStream& operator << (TMCResourceStream& stream, const StringResource& stringResource);

#endif
